# Uses of Interface
org.eclipse.birt.report.engine.content.IImageContent

Packages that use IImageContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IImageContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return IImageContent
Modifier and Type
Method
Description
`IImageContent`
IReportContent.`createImageContent()`
create the image content.
`IImageContent`
IReportContent.`createImageContent(IContent content)`
create the image content, copy the properties from the template content.
`IImageContent`
IPageContent.`getWaterMark()`
Get the watermark
Methods in org.eclipse.birt.report.engine.content with parameters of type IImageContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitImage(IImageContent image, Object value)`
visit image content

## Uses of IImageContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IImageContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`startImage(IImageContent image)`
Start image
Constructors in org.eclipse.birt.report.engine.emitter with parameters of type IImageContent
Modifier
Constructor
Description
``
`ImageReader(IImageContent content, String supportedImageFormats)`
Constructor